package com.yeejoin.amos.boot.module.jyjc.api.mapper;

import com.yeejoin.amos.boot.module.ymt.api.dto.TzBaseUnitLicenceDto;
import org.apache.ibatis.annotations.MapKey;
import java.util.List;
import java.util.Map;

/**
 *  Mapper 接口
 *
 * @author system_generator
 * @date 2023-12-13
 */
public interface JyjcBaseMapper {

    List<TzBaseUnitLicenceDto> selectBaseUnitLicenceList(Map<String, Object> params);

    @MapKey(value = "code")
    List<Map<String, String>> selectDataDictionaryList(List<String> codes);

    String selectBusinessData(String tableName, String instanceId,String key);

    void updateBusinessData(String tableName, String assignee, String transferToUserIds, String instanceId, String nextTaskId,String key);
}
